aboutsummaryrefslogtreecommitdiffstats
path: root/main/a52dec/APKBUILD
diff options
context:
space:
mode:
authorNatanael Copa <ncopa@alpinelinux.org>2010-01-25 16:43:57 +0000
committerNatanael Copa <ncopa@alpinelinux.org>2010-01-25 16:43:57 +0000
commit9526ee659401dee7160f35cb62ded2779bcbbc99 (patch)
tree812ad73bde9c84dcc02a3acbc5db576369ca314a /main/a52dec/APKBUILD
parent05e09c1126a898b6d0af491fef0401bf53e297f8 (diff)
downloadaports-9526ee659401dee7160f35cb62ded2779bcbbc99.tar.gz
aports-9526ee659401dee7160f35cb62ded2779bcbbc99.tar.bz2
aports-9526ee659401dee7160f35cb62ded2779bcbbc99.tar.xz
merged x11 repository into main
ref #255
Diffstat (limited to 'main/a52dec/APKBUILD')
-rw-r--r--main/a52dec/APKBUILD27
1 files changed, 27 insertions, 0 deletions
diff --git a/main/a52dec/APKBUILD b/main/a52dec/APKBUILD
new file mode 100644
index 0000000000..8d3b868d2f
--- /dev/null
+++ b/main/a52dec/APKBUILD
@@ -0,0 +1,27 @@
+# Maintainer: Natanael Copa <ncopa@alpinelinux.org>
+pkgname=a52dec
+pkgver=0.7.4
+pkgrel=0
+pkgdesc="liba52 is a free library for decoding ATSC A/52 streams."
+url="http://liba52.sourceforge.net/"
+license="GPL2"
+subpackages="$pkgname-dev $pkgname-doc"
+depends=
+makedepends="autoconf automake libtool"
+source="http://liba52.sourceforge.net/files/$pkgname-$pkgver.tar.gz
+ $pkgname-$pkgver-build.patch"
+
+build ()
+{
+ cd "$srcdir"/$pkgname-$pkgver
+ patch -Np1 -i "$srcdir"/a52dec-0.7.4-build.patch || return 1
+ ./bootstrap || return 1
+ ./configure --prefix=/usr \
+ --enable-shared \
+ || return 1
+ make || return 1
+ make DESTDIR="$pkgdir" install || return 1
+ install -m644 liba52/a52_internal.h "$pkgdir"/usr/include/a52dec/ || return 1
+}
+md5sums="caa9f5bc44232dc8aeea773fea56be80 a52dec-0.7.4.tar.gz
+fa16f224a7dceb7613824380abef0052 a52dec-0.7.4-build.patch"